PT BIA - Bug #1751

Field Posting Overtime BIA
10/24/2022 04:18 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 10/24/2022
Priority: Immediate Due date: 10/25/2022
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 12.00 hours
Description

Mas Azid,

Mohon dibantu untuk ESS Overtime BIA sekarang mem-posting seluruh grid yang ada di form. Mohon dibantu, jika tidak ada data
overtime (StartTime, EndTime tidak diisi) untuk employee tersebut di dalam grid maka tidak perlu di posting ke PHRPA0016 dan
tidak perlu update PHRPA0015.

-

StartDate EndDate EmployeelD OvertimeType StartTime EndTime DayType Duration DayBeforeFlag PlanDuration StartPlan EndPlan Motes CreateBy CreateDate ChangeBy ChangeDate

» 20227018 20221018 16090002 A 1701 2243 WDAY 5,80 n 5,80 1701 2249 NULL - 16120006 20221018093228 16120006 20221018093228
20221018 20221018 18070007 A 1701 2214 wDay 521 n 5,21 1701 2214 NULL 16120006 20221018093228 16120006 20221018093228
20221018 20221018 18080003 A NULL NULL WDAY  NULL n NULL NULL NULL NULL 16120006 20221018093228 16120006 20221018093228
20221018 20221018 22040016 A MNULL NULL WDAY  NULL n NULL NULL NULL NULL 16120006 20221018093228 16120006 20221018093228

Port: http://remote.minovais.com:31137/

Terima kasih.

History

#1 - 10/24/2022 04:20 PM - Fiona Avangeline Jonathan
Mas Azid,

Mohon sekalian ditambahkan validasi di EndTime. Jika EndTime kosong namun StartTime terisi, form tidak boleh di submit.

Terima kasih.

#2 - 10/24/2022 04:31 PM - Kezia Pawitra Yulianti
- Due date set to 10/25/2022

#3 - 10/24/2022 05:46 PM - Fiona Avangeline Jonathan
- File clipboard-202210241745-oys4h.png added

Mas Azid,

Mohon dibetulkan validasi untuk End Time tidak boleh lebih kecil dari Start Time jika beda hari.

» Main
Employee ID Employee Name Date From Date To Start Time End Time
1| 15100004 Detha Anggelina 241W2022 25/10/2022 18:56
2 1RMAOANNT CEmrd=nma Qrlam=ad=nm AT AN

Berikut contohnya, seharusnya jika diinput seperti ini duration tetap terhitung.

Terima kasih.

#4 - 10/27/2022 01:50 PM - Fiona Avangeline Jonathan
- File clipboard-202210271350-hcyrl.png added

Sudah ke posting hanya data yang terisi saja.
e e e

StartDate EndDate EmployeelD OvertimeType StartTime EndTime DayType Duration DayBeforeFlag PlanDuration StartPlan  EndPlan  Motes CreateBy CreateDate ChangeBy ChangeDate
20270601 20210601 10000148 A 1730 2022 WDAY 287 n 2,87 1730 2022 minovais 20210531113947  minovais 20210531113947
20210608 20210608 10000148 A 170 2030 WDAY 348 n 3,00 170 2001 yana 20210608100918  yana 20210608100918
20220908 20220908 22090001 A 0805 173 WDAY 8,13 n 9,13 0805 173 nande 20220908164925  nando 202209068164925
20220910 20220910 22090001 A 0930 1930 OFF 10,00 n 10,00 0930 1930 nando 2022090910218 nando 2022000910218
20220912 20220912 22090001 A 1801 1930 wDAY 148 n 148 1801 1930 TESTING nande 20220909100007  nande 20220909100007
20221013 20221013 15100004 A 0001 0010 WDAY 0,13 ¥ 0,15 0001 0010 NULL 16120006 20221013120340 16120006 20221013120340
20221013 20221013 16090002 A 0001 0010 WDAY 0,15 y 0,15 0001 0010 NULL 16120006 20221013120340 16120006 20221013120340
20221013 20221013 18070007 A 0001 0010 wpay 0,13 y 0,13 0001 0010 NULL 16120006 20221013120340 16120006 20221013120340
20221013 20221013 18080003 A 0001 0010 WDAY 0,13 ¥ 0,15 0001 0010 NULL 16120006 20221013120340 16120006 20221013120340
20221013 20221013 22040016 A 0001 0010 WDAY 0,15 y 0,15 0001 0010 NULL 16120006 20221013120340 16120006 20221013120340
20221018 20221018 16090002 A 1701 2249 WDAY 5,80 n 5,80 1701 2249 NULL 16120006 20221018093228 16120006 20221018093228
20221018 20221018 18070007 A 1701 2214 WDAY 521 n 521 1701 2214 NULL 16120006 20221018093228 16120006 20221018093228
20221018 20221019 15100004 A 1701 0759 WDAY 1496 y 14,96 1701 0759 NULL 16120006 20221018093228 16120006 20221018093228
20221027 20221027 15100004 A 7z 2247 WDAY 5,58 n 5,58 7z 2247 NULL 16120006 20221027134602 16120006 20221027134602
20221027 20221027 16090002 A 1813 2359 WDAY 5,76 n 5,76 1813 2359 NULL 16120006 20221027134602 16120006 20221027134602

3 20221027 20221027 18070007 A 1801 1955 WDAY 1,90 n 1,90 1801 1955 NULL 16120006 20221027134602 16120006 20221027134602

#5 - 10/27/2022 05:09 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Fiona Avangeline Jonathan

dear fiona ,, udah bisa di test ya

makasih

#6 - 10/27/2022 05:23 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed

Done, terima kasih.

Files

clipboard-202210241617-Ixiir.png 16.8 KB 10/24/2022 Fiona Avangeline Jonathan
clipboard-202210241745-0ys4h.png 8.96 KB 10/24/2022 Fiona Avangeline Jonathan
clipboard-202210271350-hcyrl.png 48.5 KB 10/27/2022 Fiona Avangeline Jonathan
